Index: /main/trunk/greenstone3/client-gli.app/Contents/CodeResources
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/client-gli.app/Contents/Info.plist
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/Info.plist	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/Info.plist	(revision 27387)
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMIsApplet</key>
+	<true/>
+	<key>AMStayOpen</key>
+	<false/>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleDocumentTypes</key>
+	<array>
+		<dict>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>*</string>
+			</array>
+			<key>CFBundleTypeIconFile</key>
+			<string></string>
+			<key>CFBundleTypeName</key>
+			<string>Automator workflow file</string>
+			<key>CFBundleTypeOSTypes</key>
+			<array>
+				<string>****</string>
+			</array>
+			<key>CFBundleTypeRole</key>
+			<string>Viewer</string>
+		</dict>
+	</array>
+	<key>CFBundleExecutable</key>
+	<string>client-gli</string>
+	<key>CFBundleIconFile</key>
+	<string>AutomatorApplet</string>
+	<key>CFBundleIdentifier</key>
+	<string>com.apple.automator.client-gli</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleName</key>
+	<string>client-gli</string>
+	<key>CFBundlePackageType</key>
+	<string>APPL</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleSignature</key>
+	<string>????</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>LSUIElement</key>
+	<false/>
+	<key>NSAppleScriptEnabled</key>
+	<string>YES</string>
+	<key>NSMainNibFile</key>
+	<string>ApplicationStub</string>
+	<key>NSPrincipalClass</key>
+	<string>NSApplication</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/client-gli.app/Contents/PkgInfo
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/PkgInfo	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/PkgInfo	(revision 27387)
@@ -0,0 +1,1 @@
+APPL????
Index: /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
@@ -0,0 +1,12 @@
+{
+    IBClasses = (
+        {CLASS = AMApplicationStub; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            CLASS = ApplicationStubDelegate; 
+            LANGUAGE = ObjC; 
+            SUPERCLASS = AMApplicationStub; 
+        }, 
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }
+    ); 
+    IBVersion = 1; 
+}
Index: /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>336 60 356 240 0 0 1280 1002 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>69 298 338 44 0 0 1280 1002 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>448.0</string>
+	<key>IBSystem Version</key>
+	<string>9A139</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/client-gli.app/Contents/_CodeSignature/CodeResources
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/_CodeSignature/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/_CodeSignature/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/client-gli.app/Contents/document.wflow.in
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/document.wflow.in	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/document.wflow.in	(revision 27387)
@@ -0,0 +1,199 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMApplicationBuild</key>
+	<string>162</string>
+	<key>AMApplicationVersion</key>
+	<string>2.0.4</string>
+	<key>AMDocumentVersion</key>
+	<string>2</string>
+	<key>actions</key>
+	<array>
+		<dict>
+			<key>action</key>
+			<dict>
+				<key>AMAccepts</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Optional</key>
+					<true/>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>AMActionVersion</key>
+				<string>2.0.1</string>
+				<key>AMParameterProperties</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<dict/>
+					<key>CheckedForUserDefaultShell</key>
+					<dict/>
+					<key>inputMethod</key>
+					<dict/>
+					<key>shell</key>
+					<dict/>
+					<key>source</key>
+					<dict/>
+				</dict>
+				<key>AMProvides</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>ActionBundlePath</key>
+				<string>/System/Library/Automator/Run Shell Script.action</string>
+				<key>ActionName</key>
+				<string>Run Shell Script</string>
+				<key>ActionParameters</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<string>@gsdl3srchome@/gli/client-gli.sh</string>
+					<key>CheckedForUserDefaultShell</key>
+					<true/>
+					<key>inputMethod</key>
+					<integer>0</integer>
+					<key>shell</key>
+					<string>/bin/bash</string>
+					<key>source</key>
+					<string></string>
+				</dict>
+				<key>Application</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>BundleIdentifier</key>
+				<string>com.apple.RunShellScript</string>
+				<key>CFBundleVersion</key>
+				<string>2.0.1</string>
+				<key>CanShowSelectedItemsWhenRun</key>
+				<false/>
+				<key>CanShowWhenRun</key>
+				<true/>
+				<key>Category</key>
+				<array>
+					<string>AMCategoryUtilities</string>
+				</array>
+				<key>Class Name</key>
+				<string>RunShellScriptAction</string>
+				<key>InputUUID</key>
+				<string>FC0CD65A-F66E-4485-BB4B-706B5608ACCD</string>
+				<key>Keywords</key>
+				<array>
+					<string>Shell</string>
+					<string>Script</string>
+					<string>Command</string>
+					<string>Run</string>
+					<string>Unix</string>
+				</array>
+				<key>OutputUUID</key>
+				<string>68939642-7028-4F3D-8AA5-5BBDB0DF7414</string>
+				<key>UUID</key>
+				<string>2F1CE2D5-497A-4960-B571-126BADA4B8C3</string>
+				<key>UnlocalizedApplications</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>arguments</key>
+				<dict>
+					<key>0</key>
+					<dict>
+						<key>default value</key>
+						<integer>0</integer>
+						<key>name</key>
+						<string>inputMethod</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>0</string>
+					</dict>
+					<key>1</key>
+					<dict>
+						<key>default value</key>
+						<string>/bin/sh</string>
+						<key>name</key>
+						<string>shell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>1</string>
+					</dict>
+					<key>2</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>source</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>2</string>
+					</dict>
+					<key>3</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>COMMAND_STRING</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>3</string>
+					</dict>
+					<key>4</key>
+					<dict>
+						<key>default value</key>
+						<false/>
+						<key>name</key>
+						<string>CheckedForUserDefaultShell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>4</string>
+					</dict>
+				</dict>
+				<key>isViewVisible</key>
+				<true/>
+				<key>location</key>
+				<string>281.000000:851.000000</string>
+				<key>nibPath</key>
+				<string>/System/Library/Automator/Run Shell Script.action/Contents/Resources/English.lproj/main.nib</string>
+			</dict>
+			<key>isViewVisible</key>
+			<true/>
+		</dict>
+	</array>
+	<key>connectors</key>
+	<dict/>
+	<key>state</key>
+	<dict>
+		<key>EditorSplitViewPosition</key>
+		<real>0.0</real>
+		<key>MainSplitViewPosition_v2</key>
+		<real>338</real>
+		<key>windowFrame</key>
+		<string>{{390, 91}, {900, 937}}</string>
+		<key>windowFrameTopLeft</key>
+		<string>{{390, 0}, {900, 937}}</string>
+		<key>workflowViewScrollPosition</key>
+		<string>{{0, 0}, {562, 841}}</string>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/client-gli.app/Contents/version.plist
===================================================================
--- /main/trunk/greenstone3/client-gli.app/Contents/version.plist	(revision 27387)
+++ /main/trunk/greenstone3/client-gli.app/Contents/version.plist	(revision 27387)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>BuildVersion</key>
+	<string>3</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>ProjectName</key>
+	<string>Automator</string>
+	<key>SourceVersion</key>
+	<string>1620000</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/CodeResources
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/Info.plist
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/Info.plist	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/Info.plist	(revision 27387)
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMIsApplet</key>
+	<true/>
+	<key>AMStayOpen</key>
+	<false/>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleDocumentTypes</key>
+	<array>
+		<dict>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>*</string>
+			</array>
+			<key>CFBundleTypeIconFile</key>
+			<string></string>
+			<key>CFBundleTypeName</key>
+			<string>Automator workflow file</string>
+			<key>CFBundleTypeOSTypes</key>
+			<array>
+				<string>****</string>
+			</array>
+			<key>CFBundleTypeRole</key>
+			<string>Viewer</string>
+		</dict>
+	</array>
+	<key>CFBundleExecutable</key>
+	<string>gems</string>
+	<key>CFBundleIconFile</key>
+	<string>AutomatorApplet</string>
+	<key>CFBundleIdentifier</key>
+	<string>com.apple.automator.gems</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleName</key>
+	<string>gems</string>
+	<key>CFBundlePackageType</key>
+	<string>APPL</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleSignature</key>
+	<string>????</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>LSUIElement</key>
+	<false/>
+	<key>NSAppleScriptEnabled</key>
+	<string>YES</string>
+	<key>NSMainNibFile</key>
+	<string>ApplicationStub</string>
+	<key>NSPrincipalClass</key>
+	<string>NSApplication</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/PkgInfo
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/PkgInfo	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/PkgInfo	(revision 27387)
@@ -0,0 +1,1 @@
+APPL????
Index: /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
@@ -0,0 +1,12 @@
+{
+    IBClasses = (
+        {CLASS = AMApplicationStub; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            CLASS = ApplicationStubDelegate; 
+            LANGUAGE = ObjC; 
+            SUPERCLASS = AMApplicationStub; 
+        }, 
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }
+    ); 
+    IBVersion = 1; 
+}
Index: /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>336 60 356 240 0 0 1280 1002 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>69 298 338 44 0 0 1280 1002 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>448.0</string>
+	<key>IBSystem Version</key>
+	<string>9A139</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/_CodeSignature/CodeResources
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/_CodeSignature/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/_CodeSignature/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/document.wflow.in
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/document.wflow.in	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/document.wflow.in	(revision 27387)
@@ -0,0 +1,199 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMApplicationBuild</key>
+	<string>162</string>
+	<key>AMApplicationVersion</key>
+	<string>2.0.4</string>
+	<key>AMDocumentVersion</key>
+	<string>2</string>
+	<key>actions</key>
+	<array>
+		<dict>
+			<key>action</key>
+			<dict>
+				<key>AMAccepts</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Optional</key>
+					<true/>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>AMActionVersion</key>
+				<string>2.0.1</string>
+				<key>AMParameterProperties</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<dict/>
+					<key>CheckedForUserDefaultShell</key>
+					<dict/>
+					<key>inputMethod</key>
+					<dict/>
+					<key>shell</key>
+					<dict/>
+					<key>source</key>
+					<dict/>
+				</dict>
+				<key>AMProvides</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>ActionBundlePath</key>
+				<string>/System/Library/Automator/Run Shell Script.action</string>
+				<key>ActionName</key>
+				<string>Run Shell Script</string>
+				<key>ActionParameters</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<string>@gsdl3srchome@/gli/gems.sh</string>
+					<key>CheckedForUserDefaultShell</key>
+					<true/>
+					<key>inputMethod</key>
+					<integer>0</integer>
+					<key>shell</key>
+					<string>/bin/bash</string>
+					<key>source</key>
+					<string></string>
+				</dict>
+				<key>Application</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>BundleIdentifier</key>
+				<string>com.apple.RunShellScript</string>
+				<key>CFBundleVersion</key>
+				<string>2.0.1</string>
+				<key>CanShowSelectedItemsWhenRun</key>
+				<false/>
+				<key>CanShowWhenRun</key>
+				<true/>
+				<key>Category</key>
+				<array>
+					<string>AMCategoryUtilities</string>
+				</array>
+				<key>Class Name</key>
+				<string>RunShellScriptAction</string>
+				<key>InputUUID</key>
+				<string>57CF20B0-4E4A-489B-BDCD-A0C38468371B</string>
+				<key>Keywords</key>
+				<array>
+					<string>Shell</string>
+					<string>Script</string>
+					<string>Command</string>
+					<string>Run</string>
+					<string>Unix</string>
+				</array>
+				<key>OutputUUID</key>
+				<string>E43F1D4A-2F32-4CA9-8D58-C5C4DDE077AD</string>
+				<key>UUID</key>
+				<string>3056C7C8-05F0-4FDB-AEF0-04FDDC7A7BF5</string>
+				<key>UnlocalizedApplications</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>arguments</key>
+				<dict>
+					<key>0</key>
+					<dict>
+						<key>default value</key>
+						<integer>0</integer>
+						<key>name</key>
+						<string>inputMethod</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>0</string>
+					</dict>
+					<key>1</key>
+					<dict>
+						<key>default value</key>
+						<string>/bin/sh</string>
+						<key>name</key>
+						<string>shell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>1</string>
+					</dict>
+					<key>2</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>source</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>2</string>
+					</dict>
+					<key>3</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>COMMAND_STRING</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>3</string>
+					</dict>
+					<key>4</key>
+					<dict>
+						<key>default value</key>
+						<false/>
+						<key>name</key>
+						<string>CheckedForUserDefaultShell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>4</string>
+					</dict>
+				</dict>
+				<key>isViewVisible</key>
+				<true/>
+				<key>location</key>
+				<string>281.000000:851.000000</string>
+				<key>nibPath</key>
+				<string>/System/Library/Automator/Run Shell Script.action/Contents/Resources/English.lproj/main.nib</string>
+			</dict>
+			<key>isViewVisible</key>
+			<true/>
+		</dict>
+	</array>
+	<key>connectors</key>
+	<dict/>
+	<key>state</key>
+	<dict>
+		<key>EditorSplitViewPosition</key>
+		<real>0.0</real>
+		<key>MainSplitViewPosition_v2</key>
+		<real>338</real>
+		<key>windowFrame</key>
+		<string>{{390, 91}, {900, 937}}</string>
+		<key>windowFrameTopLeft</key>
+		<string>{{390, 0}, {900, 937}}</string>
+		<key>workflowViewScrollPosition</key>
+		<string>{{0, 0}, {562, 841}}</string>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gems.app/Contents/version.plist
===================================================================
--- /main/trunk/greenstone3/gems.app/Contents/version.plist	(revision 27387)
+++ /main/trunk/greenstone3/gems.app/Contents/version.plist	(revision 27387)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>BuildVersion</key>
+	<string>3</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>ProjectName</key>
+	<string>Automator</string>
+	<key>SourceVersion</key>
+	<string>1620000</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/CodeResources
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/Info.plist
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/Info.plist	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/Info.plist	(revision 27387)
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMIsApplet</key>
+	<true/>
+	<key>AMStayOpen</key>
+	<false/>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleDocumentTypes</key>
+	<array>
+		<dict>
+			<key>CFBundleTypeExtensions</key>
+			<array>
+				<string>*</string>
+			</array>
+			<key>CFBundleTypeIconFile</key>
+			<string></string>
+			<key>CFBundleTypeName</key>
+			<string>Automator workflow file</string>
+			<key>CFBundleTypeOSTypes</key>
+			<array>
+				<string>****</string>
+			</array>
+			<key>CFBundleTypeRole</key>
+			<string>Viewer</string>
+		</dict>
+	</array>
+	<key>CFBundleExecutable</key>
+	<string>gs2-server</string>
+	<key>CFBundleIconFile</key>
+	<string>AutomatorApplet</string>
+	<key>CFBundleIdentifier</key>
+	<string>com.apple.automator.gs2-server</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleName</key>
+	<string>gs2-server</string>
+	<key>CFBundlePackageType</key>
+	<string>APPL</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleSignature</key>
+	<string>????</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>LSUIElement</key>
+	<false/>
+	<key>NSAppleScriptEnabled</key>
+	<string>YES</string>
+	<key>NSMainNibFile</key>
+	<string>ApplicationStub</string>
+	<key>NSPrincipalClass</key>
+	<string>NSApplication</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/PkgInfo
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/PkgInfo	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/PkgInfo	(revision 27387)
@@ -0,0 +1,1 @@
+APPL????
Index: /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/classes.nib	(revision 27387)
@@ -0,0 +1,12 @@
+{
+    IBClasses = (
+        {CLASS = AMApplicationStub; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            CLASS = ApplicationStubDelegate; 
+            LANGUAGE = ObjC; 
+            SUPERCLASS = AMApplicationStub; 
+        }, 
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }
+    ); 
+    IBVersion = 1; 
+}
Index: /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/Resources/English.lproj/ApplicationStub.nib/info.nib	(revision 27387)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>336 60 356 240 0 0 1280 1002 </string>
+	<key>IBEditorPositions</key>
+	<dict>
+		<key>29</key>
+		<string>69 298 338 44 0 0 1280 1002 </string>
+	</dict>
+	<key>IBFramework Version</key>
+	<string>448.0</string>
+	<key>IBSystem Version</key>
+	<string>9A139</string>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/_CodeSignature/CodeResources
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/_CodeSignature/CodeResources	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/_CodeSignature/CodeResources	(revision 27387)
@@ -0,0 +1,93 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>files</key>
+	<dict>
+		<key>Resources/AutomatorApplet.icns</key>
+		<data>
+		jRxAYYIofUMnf9tIP5QD9rGoYuo=
+		</data>
+		<key>Resources/English.lproj/ApplicationStub.nib/classes.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			7v6NpJh0i1NEFtHCa4EizqeqKcM=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/info.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			wkkDyEeCThhmsnjZ5G6XjBDuH5g=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>Resources/English.lproj/ApplicationStub.nib/keyedobjects.nib</key>
+		<dict>
+			<key>hash</key>
+			<data>
+			isnjgWGiU134vADIccQW7pKxWTs=
+			</data>
+			<key>optional</key>
+			<true/>
+		</dict>
+		<key>version.plist</key>
+		<data>
+		3jDDkXA83PxttZKs/oLFi5gdexU=
+		</data>
+	</dict>
+	<key>rules</key>
+	<dict>
+		<key>^Resources/</key>
+		<true/>
+		<key>^Resources/.*\.lproj/</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>10</real>
+		</dict>
+		<key>^Resources/.*\.lproj/locversion.plist$</key>
+		<dict>
+			<key>omit</key>
+			<true/>
+			<key>weight</key>
+			<real>30</real>
+		</dict>
+		<key>^Resources/.*\.nib/classes\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/data\.dependency$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/.*\.nib/info\.nib$</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^Resources/English\.lproj/</key>
+		<dict>
+			<key>optional</key>
+			<true/>
+			<key>weight</key>
+			<real>20</real>
+		</dict>
+		<key>^version.plist$</key>
+		<true/>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/document.wflow.in
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/document.wflow.in	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/document.wflow.in	(revision 27387)
@@ -0,0 +1,199 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>AMApplicationBuild</key>
+	<string>162</string>
+	<key>AMApplicationVersion</key>
+	<string>2.0.4</string>
+	<key>AMDocumentVersion</key>
+	<string>2</string>
+	<key>actions</key>
+	<array>
+		<dict>
+			<key>action</key>
+			<dict>
+				<key>AMAccepts</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Optional</key>
+					<true/>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>AMActionVersion</key>
+				<string>2.0.1</string>
+				<key>AMParameterProperties</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<dict/>
+					<key>CheckedForUserDefaultShell</key>
+					<dict/>
+					<key>inputMethod</key>
+					<dict/>
+					<key>shell</key>
+					<dict/>
+					<key>source</key>
+					<dict/>
+				</dict>
+				<key>AMProvides</key>
+				<dict>
+					<key>Container</key>
+					<string>List</string>
+					<key>Types</key>
+					<array>
+						<string>com.apple.cocoa.string</string>
+					</array>
+				</dict>
+				<key>ActionBundlePath</key>
+				<string>/System/Library/Automator/Run Shell Script.action</string>
+				<key>ActionName</key>
+				<string>Run Shell Script</string>
+				<key>ActionParameters</key>
+				<dict>
+					<key>COMMAND_STRING</key>
+					<string>@gsdl3srchome@/gs3-server.sh</string>
+					<key>CheckedForUserDefaultShell</key>
+					<true/>
+					<key>inputMethod</key>
+					<integer>0</integer>
+					<key>shell</key>
+					<string>/bin/bash</string>
+					<key>source</key>
+					<string></string>
+				</dict>
+				<key>Application</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>BundleIdentifier</key>
+				<string>com.apple.RunShellScript</string>
+				<key>CFBundleVersion</key>
+				<string>2.0.1</string>
+				<key>CanShowSelectedItemsWhenRun</key>
+				<false/>
+				<key>CanShowWhenRun</key>
+				<true/>
+				<key>Category</key>
+				<array>
+					<string>AMCategoryUtilities</string>
+				</array>
+				<key>Class Name</key>
+				<string>RunShellScriptAction</string>
+				<key>InputUUID</key>
+				<string>DBB733AE-F119-449D-9ED0-EADBB08A8567</string>
+				<key>Keywords</key>
+				<array>
+					<string>Shell</string>
+					<string>Script</string>
+					<string>Command</string>
+					<string>Run</string>
+					<string>Unix</string>
+				</array>
+				<key>OutputUUID</key>
+				<string>19CEF980-6A6B-4FA8-B9AD-21250CFB945F</string>
+				<key>UUID</key>
+				<string>C2125B21-6B82-4BB6-9FC7-7D9ED94A10D8</string>
+				<key>UnlocalizedApplications</key>
+				<array>
+					<string>Automator</string>
+				</array>
+				<key>arguments</key>
+				<dict>
+					<key>0</key>
+					<dict>
+						<key>default value</key>
+						<integer>0</integer>
+						<key>name</key>
+						<string>inputMethod</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>0</string>
+					</dict>
+					<key>1</key>
+					<dict>
+						<key>default value</key>
+						<string>/bin/sh</string>
+						<key>name</key>
+						<string>shell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>1</string>
+					</dict>
+					<key>2</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>source</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>2</string>
+					</dict>
+					<key>3</key>
+					<dict>
+						<key>default value</key>
+						<string></string>
+						<key>name</key>
+						<string>COMMAND_STRING</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>3</string>
+					</dict>
+					<key>4</key>
+					<dict>
+						<key>default value</key>
+						<false/>
+						<key>name</key>
+						<string>CheckedForUserDefaultShell</string>
+						<key>required</key>
+						<string>0</string>
+						<key>type</key>
+						<string>0</string>
+						<key>uuid</key>
+						<string>4</string>
+					</dict>
+				</dict>
+				<key>isViewVisible</key>
+				<true/>
+				<key>location</key>
+				<string>281.000000:851.000000</string>
+				<key>nibPath</key>
+				<string>/System/Library/Automator/Run Shell Script.action/Contents/Resources/English.lproj/main.nib</string>
+			</dict>
+			<key>isViewVisible</key>
+			<true/>
+		</dict>
+	</array>
+	<key>connectors</key>
+	<dict/>
+	<key>state</key>
+	<dict>
+		<key>EditorSplitViewPosition</key>
+		<real>0.0</real>
+		<key>MainSplitViewPosition_v2</key>
+		<real>338</real>
+		<key>windowFrame</key>
+		<string>{{390, 91}, {900, 937}}</string>
+		<key>windowFrameTopLeft</key>
+		<string>{{390, 0}, {900, 937}}</string>
+		<key>workflowViewScrollPosition</key>
+		<string>{{0, 0}, {562, 841}}</string>
+	</dict>
+</dict>
+</plist>
Index: /main/trunk/greenstone3/gs3-server.app/Contents/version.plist
===================================================================
--- /main/trunk/greenstone3/gs3-server.app/Contents/version.plist	(revision 27387)
+++ /main/trunk/greenstone3/gs3-server.app/Contents/version.plist	(revision 27387)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>BuildVersion</key>
+	<string>3</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.0</string>
+	<key>CFBundleVersion</key>
+	<string>162</string>
+	<key>ProjectName</key>
+	<string>Automator</string>
+	<key>SourceVersion</key>
+	<string>1620000</string>
+</dict>
+</plist>
